petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCreateLabelField

Create a cell field whose value is the label value for that cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateLabelField(DM dm, DMLabel label, Vec *val)

### Input Parameters

| dm | - The DMPlex
| label | - The DMLabel

### Output Parameter

val -The label value field

### Options Database Keys

-dm_label_view -Adds the label value field into the DM output from -dm_view using the same viewer

### See Also

DMView()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages